> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# zks_getBytecodeByHash

> Retrieves the bytecode of a transaction by its hash



## OpenAPI

````yaml /api-reference/openapi.json post /zks_getBytecodeByHash
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /zks_getBytecodeByHash:
    post:
      tags:
        - ZKSync API
      summary: zks_getBytecodeByHash
      description: Retrieves the bytecode of a transaction by its hash
      operationId: zks_getBytecodeByHash
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: zks_getBytecodeByHash
                  description: The RPC method to be invoked
                id:
                  type: integer
                  default: 1
                  description: Request identifier
                params:
                  type: array
                  items: {}
                  description: Parameters for retrieving bytecode
                  minItems: 1
                  maxItems: 1
                  default:
                    - >-
                      0x3ff97eb2bc8a040d2e50863fb586a841f385293fa583a0e4c5ebe6e2f4cbb069
            examples:
              example1:
                value:
                  jsonrpc: '2.0'
                  id: 1
                  method: zks_getBytecodeByHash
                  params:
                    - >-
                      0x3ff97eb2bc8a040d2e50863fb586a841f385293fa583a0e4c5ebe6e2f4cbb069
      responses:
        '200':
          description: Returns an array of the transaction's bytecode
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BytecodeByHashResponse'
components:
  schemas:
    BytecodeByHashResponse:
      $ref: b68d2a5b-dfba-46a1-93c3-f7a9e8b7e904

````